- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Modules
Functions to create and modify Arrays
ArrayFire Functions by Category

Array constructors, random number generation, transpose, indexing, etc. More...

## Modules
| Assignment & Indexing operation on arrays
| Access sub regions of an array object.
| Constructors of array class
| Construct an array object.
| Functions to create arrays.
| constant, random, range, etc.
| Helper functions for arrays
| iszero, isInf, isNan, etc.
| Managing devices in ArrayFire
| getting device pointer, allocating and freeing memory
| Methods of array class
| Get information about the array object.
| Move and Reorder array content
| reorder, transpose, flip, join, tile, etc.

## Detailed Description

Array constructors, random number generation, transpose, indexing, etc.